use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IInlineSourceBlock;

use super::macros::render;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "inline_source_block")]
pub(crate) struct RenderInlineSourceBlock {
    value: String,
}

render!(
    RenderInlineSourceBlock,
    IInlineSourceBlock,
    original,
    _config,
    _output_directory,
    _output_file,
    {
        Ok(RenderInlineSourceBlock {
            value: original.value.clone(),
        })
    }
);
