use serde::Serialize;

/// The header that goes above the content of the page.
///
/// This header will be mostly the same on every page.
#[derive(Debug, Serialize)]
pub(crate) struct PageHeader {
    website_title: Option<String>,
    home_link: Option<String>,
}

impl PageHeader {
    pub(crate) fn new(website_title: Option<String>, home_link: Option<String>) -> PageHeader {
        PageHeader {
            website_title,
            home_link,
        }
    }
}
