use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IPlainText;

use super::macros::render;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "plain_text")]
pub(crate) struct RenderPlainText {
    source: String,
}

render!(
    RenderPlainText,
    IPlainText,
    original,
    _config,
    _output_directory,
    _output_file,
    {
        Ok(RenderPlainText {
            source: original.source.clone(),
        })
    }
);
